---
title: '<tfoot>: The Table Foot element'
slug: Web/HTML/Element/tfoot
tags:
  - Element
  - HTML
  - HTML tabular data
  - Reference
  - Tables
  - Web
---
<div>{{HTMLRef}}</div>

<p id="Summary">The <strong>HTML <code>&lt;tfoot&gt;</code> element</strong> defines a set of rows summarizing the columns of the table.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/tfoot.html","tabbed-taller")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Zero or more {{HTMLElement("tr")}} elements.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The start tag is mandatory. The end tag may be omitted if there is no more content in the parent {{HTMLElement("table")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("table")}} element. The {{HTMLElement("tfoot")}} must appear after any {{HTMLElement("caption")}}, {{HTMLElement("colgroup")}}, {{HTMLElement("thead")}}, {{HTMLElement("tbody")}}, or {{HTMLElement("tr")}} element. Note that this is the requirement as of HTML5.<br>
    {{HTMLVersionInline("4")}} The {{HTMLElement("tfoot")}} element cannot be placed after any {{HTMLElement("tbody")}} and {{HTMLElement("tr")}} element. Note that this directly contradicts the above normative requirement from HTML5.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Rowgroup_Role">rowgroup</a></code></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLTableSectionElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h3 id="Deprecated_attributes">Deprecated attributes</h3>

<p>The following attributes are deprecated and should not be used. They are documented below for reference when updating existing code and for historical interest only.</p>

<dl>
 <dt>{{htmlattrdef("align")}} {{deprecated_inline}}</dt>
 <dd>This enumerated attribute specifies how horizontal alignment of each cell content will be handled. Possible values are:
 <ul>
  <li><code>left</code>, aligning the content to the left of the cell</li>
  <li><code>center</code>, centering the content in the cell</li>
  <li><code>right</code>, aligning the content to the right of the cell</li>
  <li><code>justify</code>, inserting spaces into the textual content so that the content is justified in the cell</li>
  <li><code>char</code>, aligning the textual content on a special character with a minimal offset, defined by the {{htmlattrxref("char", "tbody")}} and {{htmlattrxref("charoff", "tbody")}} attributes.</li>
 </ul>

 <p>If this attribute is not set, the <code>left</code> value is assumed.</p>

 <div class="note"><strong>Note:</strong>

 <ul>
  <li>To achieve the same effect as the <code>left</code>, <code>center</code>, <code>right</code> or <code>justify</code> values, use the CSS {{cssxref("text-align")}} property on it.</li>
  <li>To achieve the same effect as the <code>char</code> value, in CSS3, you can use the value of the {{htmlattrxref("char", "tfoot")}} as the value of the {{cssxref("text-align")}} property {{unimplemented_inline}}.</li>
 </ul>
 </div>
 </dd>
 <dt>{{htmlattrdef("bgcolor")}} {{Deprecated_inline}}</dt>
 <dd>
 <p>The background color of the table. It is a <a href="/en-US/docs/Web/CSS/color_value#RGB_colors">6-digit hexadecimal RGB code</a>, prefixed by a '<code>#</code>'. One of the predefined <a href="/en-US/docs/Web/CSS/color_value#Color_keywords">color kewords</a> can also be used.</p>

 <p>To achieve a similar effect, use the CSS {{cssxref("background-color")}} property.</p>
 </dd>
 <dt>{{htmlattrdef("char")}} {{deprecated_inline}}</dt>
 <dd>This attribute specifies the alignment of the content in a column to a character. Typical values for this include a period (.) when attempting to align numbers or monetary values. If {{htmlattrxref("align", "tfoot")}} is not set to <code>char</code>, this attribute is ignored.</dd>
 <dt>{{htmlattrdef("charoff")}} {{deprecated_inline}}</dt>
 <dd>This attribute is used to indicate the number of characters to offset the column data from the alignment characters specified by the <code>char</code> attribute.</dd>
 <dt>{{htmlattrdef("valign")}} {{deprecated_inline}}</dt>
 <dd>This attribute specifies the vertical alignment of the text within each row of cells of the table footer. Possible values for this attribute are:
 <ul>
  <li><code>baseline</code>, which will put the text as close to the bottom of the cell as it is possible, but align it on the <a class="external" href="https://en.wikipedia.org/wiki/Baseline_%28typography%29">baseline</a> of the characters instead of the bottom of them. If characters are all of the size, this has the same effect as <code>bottom</code>.</li>
  <li><code>bottom</code>, which will put the text as close to the bottom of the cell as it is possible;</li>
  <li><code>middle</code>, which will center the text in the cell;</li>
  <li>and <code>top</code>, which will put the text as close to the top of the cell as it is possible.</li>
 </ul>

 <div class="note"><strong>Note:</strong> Do not use this attribute as it is obsolete (and not supported) in the latest standard: instead set the CSS {{cssxref("vertical-align")}} property on it.</div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Please see the {{HTMLElement("table")}} page for examples on <code>&lt;tfoot&gt;</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','tables.html#the-tfoot-element','tfoot element')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','tabular-data.html#the-tfoot-element','tfoot element')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.tfoot")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other table-related HTML Elements: {{HTMLElement("caption")}}, {{HTMLElement("col")}}, {{HTMLElement("colgroup")}}, {{HTMLElement("table")}}, {{HTMLElement("tbody")}}, {{HTMLElement("td")}}, {{HTMLElement("th")}}, {{HTMLElement("thead")}}, {{HTMLElement("tr")}};</li>
 <li>CSS properties and pseudo-classes that may be specially useful to style the <code>&lt;tfoot&gt;</code> element:
  <ul>
   <li>the {{cssxref(":nth-child")}} pseudo-class to set the alignment on the cells of the column;</li>
   <li>the {{cssxref("text-align")}} property to align all cells content on the same character, like '.'.</li>
  </ul>
 </li>
</ul>
